
Smart Proxy - Feature #25614

Support exposing capabilities and settings 

12/04/2018 02:07 AM - Justin Sherrill

Status: Closed   

Priority: Normal   

Assignee: Justin Sherrill   

Category: Core   

Target version:    

Difficulty:  Fixed in Releases: 1.22.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/625,

https://github.com/theforeman/smart-pro

xy/pull/636,

https://github.com/theforeman/smart-pro

xy/pull/640,

https://github.com/theforeman/smart-pro

xy/pull/642

  

Description

On a smart proxy feature listing, we can only get a set of named features, but features can't have optional functionality or provide any

other information to the foreman server.

Related issues:

Related to Foreman - Feature #25642: Support Smart Proxy v2 features api Closed

Related to Smart Proxy - Feature #11798: Standard smart proxy interface for m... Resolved

Associated revisions

Revision 8ed192be - 01/31/2019 08:15 AM - Justin Sherrill 

Fixes #25614 - v2/features API with Capabilities and exposed settings

Revision 8546daf1 - 03/13/2019 01:20 PM - Ewoud Kohl van Wijngaarden

Refs #25614 - Fix typo in a comment

Revision 80ad933a - 03/13/2019 01:20 PM - Ewoud Kohl van Wijngaarden

Refs #25614 - Add integration tests for capabilities

Co-Authored-By: Tomer Brisker <tbrisker@gmail.com>

Revision c55bfc59 - 03/13/2019 01:20 PM - Ewoud Kohl van Wijngaarden

Refs #25614 - Always expose the provider setting

Revision 46b95f22 - 03/13/2019 10:35 PM - Ewoud Kohl van Wijngaarden

Refs #25614 - Expose settings from the correct layer

Before this change every expose_setting would only be read from the

plugin config.

This changes makes sure that a provider can expose settings from its own

config file. For example, puppetca exposes from puppetca.yml and

puppetca_http_api exposes from puppetca_http_api.yml.

History

#1 - 12/04/2018 02:17 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/smart-proxy/pull/625 added
#2 - 12/06/2018 11:54 PM - Justin Sherrill

- Related to Feature #25642: Support Smart Proxy v2 features api added

#3 - 01/31/2019 09:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset 8ed192be67a01ebdf39a66194cf252d20cc1f2c8.

#4 - 01/31/2019 12:10 PM - The Foreman Bot

- Pull request https://github.com/theforeman/smart-proxy/pull/636 added

#5 - 03/05/2019 05:55 PM - The Foreman Bot

- Pull request https://github.com/theforeman/smart-proxy/pull/640 added

#6 - 03/11/2019 04:35 PM - The Foreman Bot

- Pull request https://github.com/theforeman/smart-proxy/pull/642 added

#7 - 04/22/2019 09:07 AM - Tomer Brisker

- Fixed in Releases 1.22.0 added

#8 - 08/02/2021 05:05 PM - Ewoud Kohl van Wijngaarden

- Related to Feature #11798: Standard smart proxy interface for module statuses added
